classification
Title: mappingproxy isn't reversible
Type: enhancement Stage: resolved
Components: Versions: Python 3.9
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: ZackerySpytz, jack1142, remi.lapeyre, rhettinger
Priority: normal Keywords: easy (C), patch

Created on 2020-04-13 13:54 by jack1142, last changed 2020-05-21 15:20 by rhettinger. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 19513 merged ZackerySpytz, 2020-04-14 15:56
Messages (4)
msg366315 - (view) Author: (jack1142) * Date: 2020-04-13 13:54
Starting in version 3.8, dicts are reversible so it would make sense if mapping proxy were also reversible. Especially that `reversed(proxied_dict.keys())` does work.
msg366321 - (view) Author: Raymond Hettinger (rhettinger) * (Python committer) Date: 2020-04-13 18:14
This seems reasonable.

+1
msg368421 - (view) Author: Raymond Hettinger (rhettinger) * (Python committer) Date: 2020-05-08 05:25
New changeset 02fa0ea9c1073e4476c9bde3d7112f5dd964aa57 by Zackery Spytz in branch 'master':
bpo-40273: Reversible mappingproxy (FH-19513)
https://github.com/python/cpython/commit/02fa0ea9c1073e4476c9bde3d7112f5dd964aa57
msg369522 - (view) Author: RĂ©mi Lapeyre (remi.lapeyre) * Date: 2020-05-21 13:32
I think this issue can be closed thanks to Zackery Spytz.
History
Date User Action Args
2020-05-21 15:20:07rhettingersetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2020-05-21 13:32:41remi.lapeyresetnosy: + remi.lapeyre
messages: + msg369522
2020-05-08 05:25:57rhettingersetmessages: + msg368421
2020-04-14 15:56:54ZackerySpytzsetkeywords: + patch
nosy: + ZackerySpytz

pull_requests: + pull_request18866
stage: patch review
2020-04-13 18:14:01rhettingersetkeywords: + easy (C)

messages: + msg366321
versions: - Python 3.8
2020-04-13 14:39:42xtreaksetnosy: + rhettinger
2020-04-13 13:57:05jack1142settype: enhancement
2020-04-13 13:54:42jack1142create